Web lists-archives.com

Re: Mozilla is evil!




On Mon Jan 22 2018 23:24:31 GMT-0500 (Eastern Standard Time), Lucifer
Morningstar <not@xxxxxxxx> wrote:
> Like many others I had to revert back to 56 and set it
> to never update since 57 is mostly unusable.

Please stop with the scare mongering. It isn't unusable, but it does no
longer support legacy Addons, but this has been well publicized.

> Now Mozilla are trying to trick me into installing their
> broken version by poping up a message which says
> Your Firefox is critically out of date.

It isn't a trick, but yeah, probably over hyped.

> An update is required to stay secure. 
> And there is a button like [Update Now]

Oh my god, a BUTTON!?!?!?!?!? What evil, diabolical bastards!

> Why do Mozilla want people to run a flawed version of Firefox?

It isn't flawed, it is introducing brand new technology, and dropped
support for much older (some say ancient) technology.

I for one am not happy about the loss of many of my Addons, and think
that Mozilla has made some very poor decision with respect to what APIs
they will (and will not) provide, thus sending a death knell to certain
Addons (Classic Theme Restorer, Status-4-Evar, Tab Mix Plus, etc).

On the other hand, it is much faster, and I was surprised to find that I
actually didn't need to do as much customizing to get it to look the way
I want as I feared, so am hopeful that things will only get better.

> Is there a backdoor in it. Very suspicious.
No, and not at all - unless maybe you are incapable of internet searches
and/or totally lacking in any reading/comprehension skills.
_______________________________________________
general mailing list
general@xxxxxxxxxxxxxxxxx
https://lists.mozilla.org/listinfo/general